import { JavaObject } from '../../../java/lang/JavaObject';
export declare class ENMNote extends JavaObject {
    kuerzel: String | null;
    notenpunkte: Number | null;
    text: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMNote;
    static transpilerToJSON(obj: ENMNote): string;
    static transpilerToJSONPatch(obj: Partial<ENMNote>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMNote(obj: unknown): ENMNote;
